const jsImg = '/img/skills/javascript.svg'
const tsImg = '/img/skills/typescript.svg'
const vueImg = '/img/skills/vue.svg'
const reactImg = '/img/skills/react.svg'
const postCssImg = '/img/skills/postcss.svg'
const scssImg = '/img/skills/sass.svg'
const cssImg = '/img/skills/css.svg'
const htmlImg = '/img/skills/html.svg'
const glImg = '/img/skills/gitlab.svg'
const vitestImg = '/img/skills/vitest.svg'
const njsImg = '/img/skills/nodejs.svg'
const webstormImg = '/img/skills/webstorm.svg'
const nuxtImg = '/img/skills/nuxt.svg'
const twImg = '/img/skills/tw.svg'
const rustImg = '/img/skills/rust.svg'
const flutterImg = '/img/skills/flutter.svg'
const dartImg = '/img/skills/dart.svg'
const androidImg = '/img/skills/android.svg'

export type Skill = {
  name: string
  img: string
  link ?: string
  width ?: number
}

export const android: Skill = {name: 'Android', img: androidImg, link: 'https://www.android.com', width: 88}
export const css: Skill = {name: 'CSS', img: cssImg }
export const dart: Skill = {name: 'Dart', img: dartImg, link: 'https://dart.dev'}
export const flutter: Skill = {name: 'Flutter', img: flutterImg, link: 'https://flutter.dev', width: 40}
export const gl: Skill = {name: 'GitLab', img: glImg, link: 'https://gitlab.com', width: 55}
export const html: Skill = {name: 'HTML', img: htmlImg, width: 44}
export const js: Skill = {name: 'JavaScript', img: jsImg}
export const njs: Skill = {name: 'Nodejs', img: njsImg, link: 'https://nodejs.org/en', width: 46}
export const nuxt: Skill = {name: 'Nuxt', img: nuxtImg, link: 'https://nuxt.com', width: 75}
export const pcss: Skill = {name: 'PostCSS', img: postCssImg, link: 'https://postcss.org'}
export const react: Skill = {name: 'React', img: reactImg, link: 'https://reactjs.org', width: 56}
export const rust: Skill = {name: 'Rust', img: rustImg, link: 'https://www.rust-lang.org'}
export const scss: Skill = {name: 'SCSS', img: scssImg, width: 67}
export const tw: Skill = {name: 'Tailwind', img: twImg, width: 84}
export const ts: Skill = {name: 'TypeScript', img: tsImg, link: 'https://www.typescriptlang.org'}
export const vitest: Skill = {name: 'Vitest', img: vitestImg, link: 'https://vitest.dev', width: 55}
export const vue: Skill = {name: 'Vue', img: vueImg, link: 'https://vuejs.org', width: 58}
export const webstorm: Skill = {name: 'JetBrains IDEs', img: webstormImg, link: 'https://www.jetbrains.com/webstorm'}
